/*
Copyright (C) Christopher Fogelberg, Mengjie Zhang 2005

This file is part of VUWLGP.

VUWLGP is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

VUWLGP is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with VUWLGP; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/
  
#include <iostream>

#include "IInstructionOperation.h"
#include "IInstructionOperationConditional.h"
#include "InstructionOperationPlus.h"
#include "InstructionOperationIflt.h"

int main(int argc, char** argv) {
  std::cout << "Generating 2 InstructionOperation* & converting them to strings" << std::endl;

  VUWLGP::Config<double>* config = new VUWLGP::Config<double>();

  VUWLGP::IInstructionOperation<double>* plus;
  plus = VUWLGP::InstructionOperationPlus<double>::Generate(config);

  std::cout << "\tInstructionOperationPlus: " << plus->ToString() << std::endl;

  VUWLGP::IInstructionOperation<double>* iflt;
  iflt = VUWLGP::InstructionOperationIflt<double>::Generate(config);

  std::cout << "\tInstructionOperationIflt: " << iflt->ToString() << std::endl;

  delete config;
  delete plus;
  delete iflt;

  return 0;
}
